Package org.eclipse.graphiti.mm.algorithms.styles.impl

## Class GradientColoredLocationImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.algorithms.styles.impl.GradientColoredLocationImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `GradientColoredLocation`

    public class GradientColoredLocationImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements GradientColoredLocation

An implementation of the model object 'Gradient Colored Location'.

The following features are implemented:

- `Location Type`
- `Location Value`
- `Color`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected Color` `color` The cached value of the '`Color`' containment reference.
`protected static LocationType` `LOCATION_TYPE_EDEFAULT` The default value of the '`Location Type`' attribute.
`protected static java.lang.Integer` `LOCATION_VALUE_EDEFAULT` The default value of the '`Location Value`' attribute.
`protected LocationType` `locationType` The cached value of the '`Location Type`' attribute.
`protected java.lang.Integer` `locationValue` The cached value of the '`Location Value`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `GradientColoredLocationImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `basicGetColor()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetColor​(Color newColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`Color` `getColor()`
`LocationType` `getLocationType()`
`java.lang.Integer` `getLocationValue()`
`void` `setColor​(Color newColor)`
`void` `setLocationType​(LocationType newLocationType)`
`void` `setLocationValue​(java.lang.Integer newLocationValue)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### LOCATION_TYPE_EDEFAULT

    protected static final LocationType LOCATION_TYPE_EDEFAULT

The default value of the '`Location Type`' attribute.

See Also:
  `getLocationType()`

#### locationType

    protected LocationType locationType

The cached value of the '`Location Type`' attribute.

See Also:
  `getLocationType()`

#### LOCATION_VALUE_EDEFAULT

    protected static final java.lang.Integer LOCATION_VALUE_EDEFAULT

The default value of the '`Location Value`' attribute.

See Also:
  `getLocationValue()`

#### locationValue

    protected java.lang.Integer locationValue

The cached value of the '`Location Value`' attribute.

See Also:
  `getLocationValue()`

#### color

    protected Color color

The cached value of the '`Color`' containment reference.

See Also:
  `getColor()`

### Constructor Detail

#### GradientColoredLocationImpl

    protected GradientColoredLocationImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getLocationType

    public LocationType getLocationType()

Specified by:
  `getLocationType` in interface `GradientColoredLocation`
Returns:
  the value of the 'Location Type' attribute.
See Also:
  `LocationType`, `GradientColoredLocation.setLocationType(LocationType)`, `StylesPackage.getGradientColoredLocation_LocationType()`

#### setLocationType

    public void setLocationType​(LocationType newLocationType)

Specified by:
  `setLocationType` in interface `GradientColoredLocation`
Parameters:
  `newLocationType` - the new value of the 'Location Type' attribute.
See Also:
  `LocationType`, `GradientColoredLocation.getLocationType()`

#### getLocationValue

    public java.lang.Integer getLocationValue()

Specified by:
  `getLocationValue` in interface `GradientColoredLocation`
Returns:
  the value of the 'Location Value' attribute.
See Also:
  `GradientColoredLocation.setLocationValue(Integer)`, `StylesPackage.getGradientColoredLocation_LocationValue()`

#### setLocationValue

    public void setLocationValue​(java.lang.Integer newLocationValue)

Specified by:
  `setLocationValue` in interface `GradientColoredLocation`
Parameters:
  `newLocationValue` - the new value of the 'Location Value' attribute.
See Also:
  `GradientColoredLocation.getLocationValue()`

#### getColor

    public Color getColor()

Specified by:
  `getColor` in interface `GradientColoredLocation`
Returns:
  the value of the 'Color' containment reference.
See Also:
  `GradientColoredLocation.setColor(Color)`, `StylesPackage.getGradientColoredLocation_Color()`

#### basicGetColor

    public Color basicGetColor()

#### basicSetColor

    public org.eclipse.emf.common.notify.NotificationChain basicSetColor​(Color newColor,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

#### setColor

    public void setColor​(Color newColor)

Specified by:
  `setColor` in interface `GradientColoredLocation`
Parameters:
  `newColor` - the new value of the 'Color' containment reference.
See Also:
  `GradientColoredLocation.getColor()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`